Search Conversation Events
curl --request GET \
--url https://api.example.com/api/conversations/{conversation_id}/events/search \
--header 'X-Session-API-Key: <api-key>'import requests
url = "https://api.example.com/api/conversations/{conversation_id}/events/search"
headers = {"X-Session-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Session-API-Key': '<api-key>'}};
fetch('https://api.example.com/api/conversations/{conversation_id}/events/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"tool_call_id": "<string>",
"title": "<string>",
"kind": "ACPToolCallEvent",
"id": "<string>",
"timestamp": "<string>",
"source": "agent",
"status": "<string>",
"tool_kind": "<string>",
"raw_input": null,
"raw_output": null,
"is_error": false
}
],
"next_page_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Events
Search Conversation Events
Search / List local events
GET
/
api
/
conversations
/
{conversation_id}
/
events
/
search
Search Conversation Events
Authorizations
Path Parameters
Query Parameters
Enum for event sorting options.
Available options:
TIMESTAMP, TIMESTAMP_DESC Response
Successful Response
items
(ACPToolCallEvent · object | Condensation · object | CondensationRequest · object | CondensationSummaryEvent · object | ConversationErrorEvent · object | ConversationStateUpdateEvent · object | HookExecutionEvent · object | LLMCompletionLogEvent · object | ActionEvent · object | MessageEvent · object | AgentErrorEvent · object | ObservationEvent · object | UserRejectObservation · object | SystemPromptEvent · object | TokenEvent · object | PauseEvent · object)[]
required
Event representing a tool call executed by an ACP server.
Captures the tool name, inputs, outputs, and status from ACP
ToolCallStart / ToolCallProgress notifications so they can
be surfaced in the OpenHands event stream and visualizer.
This is not an LLMConvertibleEvent — ACP tool calls do not
participate in LLM message conversion.
- ACPToolCallEvent
- Condensation
- CondensationRequest
- CondensationSummaryEvent
- ConversationErrorEvent
- ConversationStateUpdateEvent
- HookExecutionEvent
- LLMCompletionLogEvent
- ActionEvent
- MessageEvent
- AgentErrorEvent
- ObservationEvent
- UserRejectObservation
- SystemPromptEvent
- TokenEvent
- PauseEvent
Show child attributes
Show child attributes
Was this page helpful?

